%define name xskat 
%define version 4.0
%define release 1mdk

Summary: The card game Skat as defined by the official Skat Order
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.gulu.net/xskat/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Cards
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.xskat.de/xskat.html
BuildRequires: XFree86-devel

%description
XSkat lets you play the card game Skat as defined by
the official Skat Order on any Un*x machine running X11.

Features

* Single- and multiplayer mode.
* Playing over LAN or IRC.
* Game lists and logs.
* Three types of scoring.
* English or German text.
* German or French suited cards.
* Different computer strategies.
* Pre-definable card distributions.
* Variations: Ramsch, Bock, Kontra & Re, ... 

%prep
%setup -q

%build
%configure --bindir=%_gamesbindir
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_gamesbindir},%{_mandir}/{man1,de/man1},%{_menudir}}
install xskat $RPM_BUILD_ROOT%{_gamesbindir}
install xskat.man $RPM_BUILD_ROOT%{_mandir}/man1/xskat.1
install xskat-de.man $RPM_BUILD_ROOT%{_mandir}/de/man1/xskat.1

(cd $RPM_BUILD_ROOT
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="X11"\
section="More applications/Games/Cards" \
title="Xskat"\
longtitle="The Skat game"\
command="%{_gamesbindir}/%{name}"\
icon="cards_section.png"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_menudir}/%{name}
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%doc README* CHANGE*

%changelog
* Fri May 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0-1mdk
- 4.0
- fix url
 
* Sat Jan 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.4-3mdk
- birthday rebuild
- s/%%_bindir/%%_gamesbindir/g

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.4-2mdk
- rebuild for rpm and glibc

* Tue Aug 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.4-1mdk
- 1st mdk release

